uk.gov.hmrc

# BuildInfo

#### object BuildInfo extends Product with Serializable

This object was generated by sbt-buildinfo.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BuildInfo
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val BuildDate: String

   The value is "2019-11-26T15:14:58.

   The value is "2019-11-26T15:14:58.903Z".

7. #### val GitBranch: String

   The value is "5ccaf944fb63387acaef3fba9db8886d4f0aa6e1".

8. #### val GitCommitAuthor: String

   The value is "GitHub".

9. #### val GitCommitDate: String

   The value is "2019-11-26T15:12:06.

   The value is "2019-11-26T15:12:06.000Z".

10. #### val GitDescribe: String

    The value is "v0.

    The value is "v0.13.0-2-g5ccaf94".

11. #### val GitHeadRev: String

    The value is "5ccaf944fb63387acaef3fba9db8886d4f0aa6e1".

12. #### val GitRepoIsClean: String

    The value is "true".

13. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

14. #### val builtAt: String

    The value is "2019-11-26".

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### val libraryDependencies: Seq[String]

    The value is Seq("org.

    The value is Seq("org.scala-lang:scala-library:2.10.7", "com.github.scopt:scopt:3.7.1", "org.typelevel:cats-core:1.2.0", "org.scalatest:scalatest:3.1.0-M2:test", "com.vladsch.flexmark:flexmark-all:0.35.10:test").

22. #### val name: String

    The value is "release-versioning".

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### val sbtVersion: String

    The value is "0.

    The value is "0.13.17".

27. #### val scalaVersion: String

    The value is "2.

    The value is "2.10.7".

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### val toMap: Map[String, Any]

30. #### val toString: String

    Definition Classes
      BuildInfo → AnyRef → Any

31. #### val version: String

    The value is "0.

    The value is "0.16.0".

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped